/*
 *  Copyright (C) 1996-2017 Edward F. Valeev and Justin T. Fermann
 *
 *  This file is part of Libint.
 *
 *  Libint is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Libint is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Libint.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

REALTYPE *hrr_order_00p0(Libint_t *, int);
REALTYPE *hrr_order_00d0(Libint_t *, int);
REALTYPE *hrr_order_00pp(Libint_t *, int);
REALTYPE *hrr_order_00f0(Libint_t *, int);
REALTYPE *hrr_order_00dp(Libint_t *, int);
REALTYPE *hrr_order_00g0(Libint_t *, int);
REALTYPE *hrr_order_00fp(Libint_t *, int);
REALTYPE *hrr_order_00dd(Libint_t *, int);
REALTYPE *hrr_order_00h0(Libint_t *, int);
REALTYPE *hrr_order_00gp(Libint_t *, int);
REALTYPE *hrr_order_00fd(Libint_t *, int);
REALTYPE *hrr_order_00i0(Libint_t *, int);
REALTYPE *hrr_order_00hp(Libint_t *, int);
REALTYPE *hrr_order_00gd(Libint_t *, int);
REALTYPE *hrr_order_00ff(Libint_t *, int);
REALTYPE *hrr_order_00ip(Libint_t *, int);
REALTYPE *hrr_order_00hd(Libint_t *, int);
REALTYPE *hrr_order_00gf(Libint_t *, int);
REALTYPE *hrr_order_00id(Libint_t *, int);
REALTYPE *hrr_order_00hf(Libint_t *, int);
REALTYPE *hrr_order_00gg(Libint_t *, int);
REALTYPE *hrr_order_00if(Libint_t *, int);
REALTYPE *hrr_order_00hg(Libint_t *, int);
REALTYPE *hrr_order_00ig(Libint_t *, int);
REALTYPE *hrr_order_00hh(Libint_t *, int);
REALTYPE *hrr_order_00ih(Libint_t *, int);
REALTYPE *hrr_order_00ii(Libint_t *, int);
REALTYPE *hrr_order_p0p0(Libint_t *, int);
REALTYPE *hrr_order_p0d0(Libint_t *, int);
REALTYPE *hrr_order_p0pp(Libint_t *, int);
REALTYPE *hrr_order_p0f0(Libint_t *, int);
REALTYPE *hrr_order_p0dp(Libint_t *, int);
REALTYPE *hrr_order_p0g0(Libint_t *, int);
REALTYPE *hrr_order_p0fp(Libint_t *, int);
REALTYPE *hrr_order_p0dd(Libint_t *, int);
REALTYPE *hrr_order_p0h0(Libint_t *, int);
REALTYPE *hrr_order_p0gp(Libint_t *, int);
REALTYPE *hrr_order_p0fd(Libint_t *, int);
REALTYPE *hrr_order_p0i0(Libint_t *, int);
REALTYPE *hrr_order_p0hp(Libint_t *, int);
REALTYPE *hrr_order_p0gd(Libint_t *, int);
REALTYPE *hrr_order_p0ff(Libint_t *, int);
REALTYPE *hrr_order_p0ip(Libint_t *, int);
REALTYPE *hrr_order_p0hd(Libint_t *, int);
REALTYPE *hrr_order_p0gf(Libint_t *, int);
REALTYPE *hrr_order_p0id(Libint_t *, int);
REALTYPE *hrr_order_p0hf(Libint_t *, int);
REALTYPE *hrr_order_p0gg(Libint_t *, int);
REALTYPE *hrr_order_p0if(Libint_t *, int);
REALTYPE *hrr_order_p0hg(Libint_t *, int);
REALTYPE *hrr_order_p0ig(Libint_t *, int);
REALTYPE *hrr_order_p0hh(Libint_t *, int);
REALTYPE *hrr_order_p0ih(Libint_t *, int);
REALTYPE *hrr_order_p0ii(Libint_t *, int);
REALTYPE *hrr_order_d0d0(Libint_t *, int);
REALTYPE *hrr_order_d0pp(Libint_t *, int);
REALTYPE *hrr_order_d0f0(Libint_t *, int);
REALTYPE *hrr_order_d0dp(Libint_t *, int);
REALTYPE *hrr_order_d0g0(Libint_t *, int);
REALTYPE *hrr_order_d0fp(Libint_t *, int);
REALTYPE *hrr_order_d0dd(Libint_t *, int);
REALTYPE *hrr_order_d0h0(Libint_t *, int);
REALTYPE *hrr_order_d0gp(Libint_t *, int);
REALTYPE *hrr_order_d0fd(Libint_t *, int);
REALTYPE *hrr_order_d0i0(Libint_t *, int);
REALTYPE *hrr_order_d0hp(Libint_t *, int);
REALTYPE *hrr_order_d0gd(Libint_t *, int);
REALTYPE *hrr_order_d0ff(Libint_t *, int);
REALTYPE *hrr_order_d0ip(Libint_t *, int);
REALTYPE *hrr_order_d0hd(Libint_t *, int);
REALTYPE *hrr_order_d0gf(Libint_t *, int);
REALTYPE *hrr_order_d0id(Libint_t *, int);
REALTYPE *hrr_order_d0hf(Libint_t *, int);
REALTYPE *hrr_order_d0gg(Libint_t *, int);
REALTYPE *hrr_order_d0if(Libint_t *, int);
REALTYPE *hrr_order_d0hg(Libint_t *, int);
REALTYPE *hrr_order_d0ig(Libint_t *, int);
REALTYPE *hrr_order_d0hh(Libint_t *, int);
REALTYPE *hrr_order_d0ih(Libint_t *, int);
REALTYPE *hrr_order_d0ii(Libint_t *, int);
REALTYPE *hrr_order_ppd0(Libint_t *, int);
REALTYPE *hrr_order_pppp(Libint_t *, int);
REALTYPE *hrr_order_ppf0(Libint_t *, int);
REALTYPE *hrr_order_ppdp(Libint_t *, int);
REALTYPE *hrr_order_ppg0(Libint_t *, int);
REALTYPE *hrr_order_ppfp(Libint_t *, int);
REALTYPE *hrr_order_ppdd(Libint_t *, int);
REALTYPE *hrr_order_pph0(Libint_t *, int);
REALTYPE *hrr_order_ppgp(Libint_t *, int);
REALTYPE *hrr_order_ppfd(Libint_t *, int);
REALTYPE *hrr_order_ppi0(Libint_t *, int);
REALTYPE *hrr_order_pphp(Libint_t *, int);
REALTYPE *hrr_order_ppgd(Libint_t *, int);
REALTYPE *hrr_order_ppff(Libint_t *, int);
REALTYPE *hrr_order_ppip(Libint_t *, int);
REALTYPE *hrr_order_pphd(Libint_t *, int);
REALTYPE *hrr_order_ppgf(Libint_t *, int);
REALTYPE *hrr_order_ppid(Libint_t *, int);
REALTYPE *hrr_order_pphf(Libint_t *, int);
REALTYPE *hrr_order_ppgg(Libint_t *, int);
REALTYPE *hrr_order_ppif(Libint_t *, int);
REALTYPE *hrr_order_pphg(Libint_t *, int);
REALTYPE *hrr_order_ppig(Libint_t *, int);
REALTYPE *hrr_order_pphh(Libint_t *, int);
REALTYPE *hrr_order_ppih(Libint_t *, int);
REALTYPE *hrr_order_ppii(Libint_t *, int);
REALTYPE *hrr_order_f0f0(Libint_t *, int);
REALTYPE *hrr_order_f0dp(Libint_t *, int);
REALTYPE *hrr_order_f0g0(Libint_t *, int);
REALTYPE *hrr_order_f0fp(Libint_t *, int);
REALTYPE *hrr_order_f0dd(Libint_t *, int);
REALTYPE *hrr_order_f0h0(Libint_t *, int);
REALTYPE *hrr_order_f0gp(Libint_t *, int);
REALTYPE *hrr_order_f0fd(Libint_t *, int);
REALTYPE *hrr_order_f0i0(Libint_t *, int);
REALTYPE *hrr_order_f0hp(Libint_t *, int);
REALTYPE *hrr_order_f0gd(Libint_t *, int);
REALTYPE *hrr_order_f0ff(Libint_t *, int);
REALTYPE *hrr_order_f0ip(Libint_t *, int);
REALTYPE *hrr_order_f0hd(Libint_t *, int);
REALTYPE *hrr_order_f0gf(Libint_t *, int);
REALTYPE *hrr_order_f0id(Libint_t *, int);
REALTYPE *hrr_order_f0hf(Libint_t *, int);
REALTYPE *hrr_order_f0gg(Libint_t *, int);
REALTYPE *hrr_order_f0if(Libint_t *, int);
REALTYPE *hrr_order_f0hg(Libint_t *, int);
REALTYPE *hrr_order_f0ig(Libint_t *, int);
REALTYPE *hrr_order_f0hh(Libint_t *, int);
REALTYPE *hrr_order_f0ih(Libint_t *, int);
REALTYPE *hrr_order_f0ii(Libint_t *, int);
REALTYPE *hrr_order_dpf0(Libint_t *, int);
REALTYPE *hrr_order_dpdp(Libint_t *, int);
REALTYPE *hrr_order_dpg0(Libint_t *, int);
REALTYPE *hrr_order_dpfp(Libint_t *, int);
REALTYPE *hrr_order_dpdd(Libint_t *, int);
REALTYPE *hrr_order_dph0(Libint_t *, int);
REALTYPE *hrr_order_dpgp(Libint_t *, int);
REALTYPE *hrr_order_dpfd(Libint_t *, int);
REALTYPE *hrr_order_dpi0(Libint_t *, int);
REALTYPE *hrr_order_dphp(Libint_t *, int);
REALTYPE *hrr_order_dpgd(Libint_t *, int);
REALTYPE *hrr_order_dpff(Libint_t *, int);
REALTYPE *hrr_order_dpip(Libint_t *, int);
REALTYPE *hrr_order_dphd(Libint_t *, int);
REALTYPE *hrr_order_dpgf(Libint_t *, int);
REALTYPE *hrr_order_dpid(Libint_t *, int);
REALTYPE *hrr_order_dphf(Libint_t *, int);
REALTYPE *hrr_order_dpgg(Libint_t *, int);
REALTYPE *hrr_order_dpif(Libint_t *, int);
REALTYPE *hrr_order_dphg(Libint_t *, int);
REALTYPE *hrr_order_dpig(Libint_t *, int);
REALTYPE *hrr_order_dphh(Libint_t *, int);
REALTYPE *hrr_order_dpih(Libint_t *, int);
REALTYPE *hrr_order_dpii(Libint_t *, int);
REALTYPE *hrr_order_g0g0(Libint_t *, int);
REALTYPE *hrr_order_g0fp(Libint_t *, int);
REALTYPE *hrr_order_g0dd(Libint_t *, int);
REALTYPE *hrr_order_g0h0(Libint_t *, int);
REALTYPE *hrr_order_g0gp(Libint_t *, int);
REALTYPE *hrr_order_g0fd(Libint_t *, int);
REALTYPE *hrr_order_g0i0(Libint_t *, int);
REALTYPE *hrr_order_g0hp(Libint_t *, int);
REALTYPE *hrr_order_g0gd(Libint_t *, int);
REALTYPE *hrr_order_g0ff(Libint_t *, int);
REALTYPE *hrr_order_g0ip(Libint_t *, int);
REALTYPE *hrr_order_g0hd(Libint_t *, int);
REALTYPE *hrr_order_g0gf(Libint_t *, int);
REALTYPE *hrr_order_g0id(Libint_t *, int);
REALTYPE *hrr_order_g0hf(Libint_t *, int);
REALTYPE *hrr_order_g0gg(Libint_t *, int);
REALTYPE *hrr_order_g0if(Libint_t *, int);
REALTYPE *hrr_order_g0hg(Libint_t *, int);
REALTYPE *hrr_order_g0ig(Libint_t *, int);
REALTYPE *hrr_order_g0hh(Libint_t *, int);
REALTYPE *hrr_order_g0ih(Libint_t *, int);
REALTYPE *hrr_order_g0ii(Libint_t *, int);
REALTYPE *hrr_order_fpg0(Libint_t *, int);
REALTYPE *hrr_order_fpfp(Libint_t *, int);
REALTYPE *hrr_order_fpdd(Libint_t *, int);
REALTYPE *hrr_order_fph0(Libint_t *, int);
REALTYPE *hrr_order_fpgp(Libint_t *, int);
REALTYPE *hrr_order_fpfd(Libint_t *, int);
REALTYPE *hrr_order_fpi0(Libint_t *, int);
REALTYPE *hrr_order_fphp(Libint_t *, int);
REALTYPE *hrr_order_fpgd(Libint_t *, int);
REALTYPE *hrr_order_fpff(Libint_t *, int);
REALTYPE *hrr_order_fpip(Libint_t *, int);
REALTYPE *hrr_order_fphd(Libint_t *, int);
REALTYPE *hrr_order_fpgf(Libint_t *, int);
REALTYPE *hrr_order_fpid(Libint_t *, int);
REALTYPE *hrr_order_fphf(Libint_t *, int);
REALTYPE *hrr_order_fpgg(Libint_t *, int);
REALTYPE *hrr_order_fpif(Libint_t *, int);
REALTYPE *hrr_order_fphg(Libint_t *, int);
REALTYPE *hrr_order_fpig(Libint_t *, int);
REALTYPE *hrr_order_fphh(Libint_t *, int);
REALTYPE *hrr_order_fpih(Libint_t *, int);
REALTYPE *hrr_order_fpii(Libint_t *, int);
REALTYPE *hrr_order_ddg0(Libint_t *, int);
REALTYPE *hrr_order_ddfp(Libint_t *, int);
REALTYPE *hrr_order_dddd(Libint_t *, int);
REALTYPE *hrr_order_ddh0(Libint_t *, int);
REALTYPE *hrr_order_ddgp(Libint_t *, int);
REALTYPE *hrr_order_ddfd(Libint_t *, int);
REALTYPE *hrr_order_ddi0(Libint_t *, int);
REALTYPE *hrr_order_ddhp(Libint_t *, int);
REALTYPE *hrr_order_ddgd(Libint_t *, int);
REALTYPE *hrr_order_ddff(Libint_t *, int);
REALTYPE *hrr_order_ddip(Libint_t *, int);
REALTYPE *hrr_order_ddhd(Libint_t *, int);
REALTYPE *hrr_order_ddgf(Libint_t *, int);
REALTYPE *hrr_order_ddid(Libint_t *, int);
REALTYPE *hrr_order_ddhf(Libint_t *, int);
REALTYPE *hrr_order_ddgg(Libint_t *, int);
REALTYPE *hrr_order_ddif(Libint_t *, int);
REALTYPE *hrr_order_ddhg(Libint_t *, int);
REALTYPE *hrr_order_ddig(Libint_t *, int);
REALTYPE *hrr_order_ddhh(Libint_t *, int);
REALTYPE *hrr_order_ddih(Libint_t *, int);
REALTYPE *hrr_order_ddii(Libint_t *, int);
REALTYPE *hrr_order_h0h0(Libint_t *, int);
REALTYPE *hrr_order_h0gp(Libint_t *, int);
REALTYPE *hrr_order_h0fd(Libint_t *, int);
REALTYPE *hrr_order_h0i0(Libint_t *, int);
REALTYPE *hrr_order_h0hp(Libint_t *, int);
REALTYPE *hrr_order_h0gd(Libint_t *, int);
REALTYPE *hrr_order_h0ff(Libint_t *, int);
REALTYPE *hrr_order_h0ip(Libint_t *, int);
REALTYPE *hrr_order_h0hd(Libint_t *, int);
REALTYPE *hrr_order_h0gf(Libint_t *, int);
REALTYPE *hrr_order_h0id(Libint_t *, int);
REALTYPE *hrr_order_h0hf(Libint_t *, int);
REALTYPE *hrr_order_h0gg(Libint_t *, int);
REALTYPE *hrr_order_h0if(Libint_t *, int);
REALTYPE *hrr_order_h0hg(Libint_t *, int);
REALTYPE *hrr_order_h0ig(Libint_t *, int);
REALTYPE *hrr_order_h0hh(Libint_t *, int);
REALTYPE *hrr_order_h0ih(Libint_t *, int);
REALTYPE *hrr_order_h0ii(Libint_t *, int);
REALTYPE *hrr_order_gph0(Libint_t *, int);
REALTYPE *hrr_order_gpgp(Libint_t *, int);
REALTYPE *hrr_order_gpfd(Libint_t *, int);
REALTYPE *hrr_order_gpi0(Libint_t *, int);
REALTYPE *hrr_order_gphp(Libint_t *, int);
REALTYPE *hrr_order_gpgd(Libint_t *, int);
REALTYPE *hrr_order_gpff(Libint_t *, int);
REALTYPE *hrr_order_gpip(Libint_t *, int);
REALTYPE *hrr_order_gphd(Libint_t *, int);
REALTYPE *hrr_order_gpgf(Libint_t *, int);
REALTYPE *hrr_order_gpid(Libint_t *, int);
REALTYPE *hrr_order_gphf(Libint_t *, int);
REALTYPE *hrr_order_gpgg(Libint_t *, int);
REALTYPE *hrr_order_gpif(Libint_t *, int);
REALTYPE *hrr_order_gphg(Libint_t *, int);
REALTYPE *hrr_order_gpig(Libint_t *, int);
REALTYPE *hrr_order_gphh(Libint_t *, int);
REALTYPE *hrr_order_gpih(Libint_t *, int);
REALTYPE *hrr_order_gpii(Libint_t *, int);
REALTYPE *hrr_order_fdh0(Libint_t *, int);
REALTYPE *hrr_order_fdgp(Libint_t *, int);
REALTYPE *hrr_order_fdfd(Libint_t *, int);
REALTYPE *hrr_order_fdi0(Libint_t *, int);
REALTYPE *hrr_order_fdhp(Libint_t *, int);
REALTYPE *hrr_order_fdgd(Libint_t *, int);
REALTYPE *hrr_order_fdff(Libint_t *, int);
REALTYPE *hrr_order_fdip(Libint_t *, int);
REALTYPE *hrr_order_fdhd(Libint_t *, int);
REALTYPE *hrr_order_fdgf(Libint_t *, int);
REALTYPE *hrr_order_fdid(Libint_t *, int);
REALTYPE *hrr_order_fdhf(Libint_t *, int);
REALTYPE *hrr_order_fdgg(Libint_t *, int);
REALTYPE *hrr_order_fdif(Libint_t *, int);
REALTYPE *hrr_order_fdhg(Libint_t *, int);
REALTYPE *hrr_order_fdig(Libint_t *, int);
REALTYPE *hrr_order_fdhh(Libint_t *, int);
REALTYPE *hrr_order_fdih(Libint_t *, int);
REALTYPE *hrr_order_fdii(Libint_t *, int);
REALTYPE *hrr_order_i0i0(Libint_t *, int);
REALTYPE *hrr_order_i0hp(Libint_t *, int);
REALTYPE *hrr_order_i0gd(Libint_t *, int);
REALTYPE *hrr_order_i0ff(Libint_t *, int);
REALTYPE *hrr_order_i0ip(Libint_t *, int);
REALTYPE *hrr_order_i0hd(Libint_t *, int);
REALTYPE *hrr_order_i0gf(Libint_t *, int);
REALTYPE *hrr_order_i0id(Libint_t *, int);
REALTYPE *hrr_order_i0hf(Libint_t *, int);
REALTYPE *hrr_order_i0gg(Libint_t *, int);
REALTYPE *hrr_order_i0if(Libint_t *, int);
REALTYPE *hrr_order_i0hg(Libint_t *, int);
REALTYPE *hrr_order_i0ig(Libint_t *, int);
REALTYPE *hrr_order_i0hh(Libint_t *, int);
REALTYPE *hrr_order_i0ih(Libint_t *, int);
REALTYPE *hrr_order_i0ii(Libint_t *, int);
REALTYPE *hrr_order_hpi0(Libint_t *, int);
REALTYPE *hrr_order_hphp(Libint_t *, int);
REALTYPE *hrr_order_hpgd(Libint_t *, int);
REALTYPE *hrr_order_hpff(Libint_t *, int);
REALTYPE *hrr_order_hpip(Libint_t *, int);
REALTYPE *hrr_order_hphd(Libint_t *, int);
REALTYPE *hrr_order_hpgf(Libint_t *, int);
REALTYPE *hrr_order_hpid(Libint_t *, int);
REALTYPE *hrr_order_hphf(Libint_t *, int);
REALTYPE *hrr_order_hpgg(Libint_t *, int);
REALTYPE *hrr_order_hpif(Libint_t *, int);
REALTYPE *hrr_order_hphg(Libint_t *, int);
REALTYPE *hrr_order_hpig(Libint_t *, int);
REALTYPE *hrr_order_hphh(Libint_t *, int);
REALTYPE *hrr_order_hpih(Libint_t *, int);
REALTYPE *hrr_order_hpii(Libint_t *, int);
REALTYPE *hrr_order_gdi0(Libint_t *, int);
REALTYPE *hrr_order_gdhp(Libint_t *, int);
REALTYPE *hrr_order_gdgd(Libint_t *, int);
REALTYPE *hrr_order_gdff(Libint_t *, int);
REALTYPE *hrr_order_gdip(Libint_t *, int);
REALTYPE *hrr_order_gdhd(Libint_t *, int);
REALTYPE *hrr_order_gdgf(Libint_t *, int);
REALTYPE *hrr_order_gdid(Libint_t *, int);
REALTYPE *hrr_order_gdhf(Libint_t *, int);
REALTYPE *hrr_order_gdgg(Libint_t *, int);
REALTYPE *hrr_order_gdif(Libint_t *, int);
REALTYPE *hrr_order_gdhg(Libint_t *, int);
REALTYPE *hrr_order_gdig(Libint_t *, int);
REALTYPE *hrr_order_gdhh(Libint_t *, int);
REALTYPE *hrr_order_gdih(Libint_t *, int);
REALTYPE *hrr_order_gdii(Libint_t *, int);
REALTYPE *hrr_order_ffi0(Libint_t *, int);
REALTYPE *hrr_order_ffhp(Libint_t *, int);
REALTYPE *hrr_order_ffgd(Libint_t *, int);
REALTYPE *hrr_order_ffff(Libint_t *, int);
REALTYPE *hrr_order_ffip(Libint_t *, int);
REALTYPE *hrr_order_ffhd(Libint_t *, int);
REALTYPE *hrr_order_ffgf(Libint_t *, int);
REALTYPE *hrr_order_ffid(Libint_t *, int);
REALTYPE *hrr_order_ffhf(Libint_t *, int);
REALTYPE *hrr_order_ffgg(Libint_t *, int);
REALTYPE *hrr_order_ffif(Libint_t *, int);
REALTYPE *hrr_order_ffhg(Libint_t *, int);
REALTYPE *hrr_order_ffig(Libint_t *, int);
REALTYPE *hrr_order_ffhh(Libint_t *, int);
REALTYPE *hrr_order_ffih(Libint_t *, int);
REALTYPE *hrr_order_ffii(Libint_t *, int);
REALTYPE *hrr_order_ipip(Libint_t *, int);
REALTYPE *hrr_order_iphd(Libint_t *, int);
REALTYPE *hrr_order_ipgf(Libint_t *, int);
REALTYPE *hrr_order_ipid(Libint_t *, int);
REALTYPE *hrr_order_iphf(Libint_t *, int);
REALTYPE *hrr_order_ipgg(Libint_t *, int);
REALTYPE *hrr_order_ipif(Libint_t *, int);
REALTYPE *hrr_order_iphg(Libint_t *, int);
REALTYPE *hrr_order_ipig(Libint_t *, int);
REALTYPE *hrr_order_iphh(Libint_t *, int);
REALTYPE *hrr_order_ipih(Libint_t *, int);
REALTYPE *hrr_order_ipii(Libint_t *, int);
REALTYPE *hrr_order_hdip(Libint_t *, int);
REALTYPE *hrr_order_hdhd(Libint_t *, int);
REALTYPE *hrr_order_hdgf(Libint_t *, int);
REALTYPE *hrr_order_hdid(Libint_t *, int);
REALTYPE *hrr_order_hdhf(Libint_t *, int);
REALTYPE *hrr_order_hdgg(Libint_t *, int);
REALTYPE *hrr_order_hdif(Libint_t *, int);
REALTYPE *hrr_order_hdhg(Libint_t *, int);
REALTYPE *hrr_order_hdig(Libint_t *, int);
REALTYPE *hrr_order_hdhh(Libint_t *, int);
REALTYPE *hrr_order_hdih(Libint_t *, int);
REALTYPE *hrr_order_hdii(Libint_t *, int);
REALTYPE *hrr_order_gfip(Libint_t *, int);
REALTYPE *hrr_order_gfhd(Libint_t *, int);
REALTYPE *hrr_order_gfgf(Libint_t *, int);
REALTYPE *hrr_order_gfid(Libint_t *, int);
REALTYPE *hrr_order_gfhf(Libint_t *, int);
REALTYPE *hrr_order_gfgg(Libint_t *, int);
REALTYPE *hrr_order_gfif(Libint_t *, int);
REALTYPE *hrr_order_gfhg(Libint_t *, int);
REALTYPE *hrr_order_gfig(Libint_t *, int);
REALTYPE *hrr_order_gfhh(Libint_t *, int);
REALTYPE *hrr_order_gfih(Libint_t *, int);
REALTYPE *hrr_order_gfii(Libint_t *, int);
REALTYPE *hrr_order_idid(Libint_t *, int);
REALTYPE *hrr_order_idhf(Libint_t *, int);
REALTYPE *hrr_order_idgg(Libint_t *, int);
REALTYPE *hrr_order_idif(Libint_t *, int);
REALTYPE *hrr_order_idhg(Libint_t *, int);
REALTYPE *hrr_order_idig(Libint_t *, int);
REALTYPE *hrr_order_idhh(Libint_t *, int);
REALTYPE *hrr_order_idih(Libint_t *, int);
REALTYPE *hrr_order_idii(Libint_t *, int);
REALTYPE *hrr_order_hfid(Libint_t *, int);
REALTYPE *hrr_order_hfhf(Libint_t *, int);
REALTYPE *hrr_order_hfgg(Libint_t *, int);
REALTYPE *hrr_order_hfif(Libint_t *, int);
REALTYPE *hrr_order_hfhg(Libint_t *, int);
REALTYPE *hrr_order_hfig(Libint_t *, int);
REALTYPE *hrr_order_hfhh(Libint_t *, int);
REALTYPE *hrr_order_hfih(Libint_t *, int);
REALTYPE *hrr_order_hfii(Libint_t *, int);
REALTYPE *hrr_order_ggid(Libint_t *, int);
REALTYPE *hrr_order_gghf(Libint_t *, int);
REALTYPE *hrr_order_gggg(Libint_t *, int);
REALTYPE *hrr_order_ggif(Libint_t *, int);
REALTYPE *hrr_order_gghg(Libint_t *, int);
REALTYPE *hrr_order_ggig(Libint_t *, int);
REALTYPE *hrr_order_gghh(Libint_t *, int);
REALTYPE *hrr_order_ggih(Libint_t *, int);
REALTYPE *hrr_order_ggii(Libint_t *, int);
REALTYPE *hrr_order_ifif(Libint_t *, int);
REALTYPE *hrr_order_ifhg(Libint_t *, int);
REALTYPE *hrr_order_ifig(Libint_t *, int);
REALTYPE *hrr_order_ifhh(Libint_t *, int);
REALTYPE *hrr_order_ifih(Libint_t *, int);
REALTYPE *hrr_order_ifii(Libint_t *, int);
REALTYPE *hrr_order_hgif(Libint_t *, int);
REALTYPE *hrr_order_hghg(Libint_t *, int);
REALTYPE *hrr_order_hgig(Libint_t *, int);
REALTYPE *hrr_order_hghh(Libint_t *, int);
REALTYPE *hrr_order_hgih(Libint_t *, int);
REALTYPE *hrr_order_hgii(Libint_t *, int);
REALTYPE *hrr_order_igig(Libint_t *, int);
REALTYPE *hrr_order_ighh(Libint_t *, int);
REALTYPE *hrr_order_igih(Libint_t *, int);
REALTYPE *hrr_order_igii(Libint_t *, int);
REALTYPE *hrr_order_hhig(Libint_t *, int);
REALTYPE *hrr_order_hhhh(Libint_t *, int);
REALTYPE *hrr_order_hhih(Libint_t *, int);
REALTYPE *hrr_order_hhii(Libint_t *, int);
REALTYPE *hrr_order_ihih(Libint_t *, int);
REALTYPE *hrr_order_ihii(Libint_t *, int);
REALTYPE *hrr_order_iiii(Libint_t *, int);
void hrr3_build_0p(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_0p(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_pp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_pp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_0d(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_0d(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_dp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_dp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_pd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_pd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_fp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_fp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_dd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_dd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_pf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_pf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_gp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_gp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_fd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_fd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_df(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_df(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_hp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_hp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_gd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_gd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_ff(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_ff(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_dg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_dg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_ip(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_ip(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_hd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_hd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_gf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_gf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_fg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_fg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_kp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_kp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_id(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_id(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_hf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_hf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_gg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_gg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_fh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_fh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_lp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_lp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_kd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_kd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_if(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_if(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_hg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_hg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_gh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_gh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_mp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_mp(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_ld(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_ld(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_kf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_kf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_ig(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_ig(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_hh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_hh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_gi(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_gi(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_np(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_np(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_md(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_md(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_lf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_lf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_kg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_kg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_ih(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_ih(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_hi(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_hi(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_op(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_op(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_nd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_nd(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_mf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_mf(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_lg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_lg(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_kh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_kh(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_ii(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_ii(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr3_build_hk(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
void hrr1_build_hk(const REALTYPE *, REALTYPE *, REALTYPE *, REALTYPE *, int);
